//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main()
{
  list<int> coll;

  INSERT_ELEMENTS(coll,2,7);
  INSERT_ELEMENTS(coll,4,9);
  PRINT_ELEMENTS(coll," :\n");

  //   ,  6,  42
  replace (coll.begin(), coll.end(),     // 
           6,                            //  
           42);                          //  
  PRINT_ELEMENTS(coll,"   :\n");

  //   ,  5,  0
  replace_if (coll.begin(), coll.end(),  // 
              bind2nd(less<int>(),5),    //  
              0);                        //  
  PRINT_ELEMENTS(coll,"   :\n");


  getch();
  return 0;
}

//---------------------------------------------------------------------------